%define shortname indi

Summary: Library to control astronomical devices
Name: indilib
Version: 0.6
Release: %mkrel 1
Source0: http://downloads.sourceforge.net/indi/libindi0_%version.tar.gz
Patch1: libindi-0.6-libsuffix.patch
Patch2: libindi0_0.6-fix-str-fmt.patch
License: LGPLv2+
Group: Development/C
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url: http://indi.sourceforge.net/
BuildRequires: zlib-devel libusb-devel
BuildRequires: cfitsio-devel >= 3.090
BuildRequires: libfli-devel
BuildRequires: cmake
Provides: indi = %version-%release

%description
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

%define libname %mklibname %shortname 0
%package -n %libname
Summary: Librar file for INDI
Group: Development/C

%description -n %libname
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

This package contains library files of indilib.

%define develname %mklibname -d %shortname
%package -n %develname
Summary: INDI devellopment files
Group: Development/C
Requires: %libname = %version
Provides: indi-devel = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

This package contains files need to build applications using indilib.

%prep
%setup -q -n libindi0-%version
%patch1 -p0
%patch2 -p0

%build
%cmake
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README TODO
%_bindir/*
%_datadir/%shortname

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.0*

%files -n %develname
%defattr(-,root,root)
%doc ChangeLog README* NEWS
%_libdir/*.so
%_libdir/*.a
%_includedir/libindi/*.h


%changelog
* Wed May 20 2009 Funda Wang <fundawang@mandriva.org> 0.6-1mdv2010.0
+ Revision: 377904
- fix str fmt

* Tue Nov 25 2008 Funda Wang <fundawang@mandriva.org> 0.6-1mdv2009.1
+ Revision: 306522
- 0.6 final

* Sun Nov 16 2008 Funda Wang <fundawang@mandriva.org> 0.6-0.190.4mdv2009.1
+ Revision: 303755
- add requires on libpackage

* Sun Nov 16 2008 Funda Wang <fundawang@mandriva.org> 0.6-0.190.3mdv2009.1
+ Revision: 303750
- don't obsolete itself

* Sun Nov 16 2008 Funda Wang <fundawang@mandriva.org> 0.6-0.190.2mdv2009.1
+ Revision: 303745
- ajudst LIB_SUFFIX
- New snapshot for kdeedu4
- BR cfitsio
- New verison 0.5
- add libname

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3-5mdv2009.0
+ Revision: 264685
- rebuild early 2009.0 package (before pixel changes)

* Sun Jun 08 2008 Helio Chissini de Castro <helio@mandriva.com> 0.3-4mdv2009.0
+ Revision: 216943
- Submit missing cooker package

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Tue Dec 18 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3-2mdv2008.1
+ Revision: 132210
- BR zlib-devel
- kill re-definition of %%buildroot on Pixel's request
- import indilib


* Sun Apr 30 2006 Emmanuel Blindauer <blindauer@mandriva.org> 0.3-2mdk
- fix ExclusiveArch

* Sat Dec 31 2005 Olivier Thauvin <nanardon@mandriva.org> 0.3-1mdk
- 0.3

* Thu Sep 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2-2mdk
- add provides

* Wed Sep 01 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2-1mdk
- First mdk contrib 
